#!/bin/bash

DBUS_PATH=$1

function main() {
	local confirm_str="Please make sure that WeChat is not on and this tool will reset WeChat.Do you wish to proceed?"
	local tr_confirm_str
	tr_confirm_str=$(Translate "${confirm_str}")

	local select
	select=$(ShowConfirmBox "${DBUS_PATH}" "${tr_confirm_str}" "question")
	if [ "${select}" == "no" ]; then
		exit 255
	fi

	echo "Fixing the problem..."

	local packagename="kylin-kwre-wechat"
	if dpkg -l | grep -q "${packagename}"; then
		IP=www.baidu.com
		ping -c 1 $IP >/dev/null 2>&1
		if [ $? -eq 0 ]; then
			if ps -ef | grep -v grep | grep "kwre/apps/wechat" >/dev/null; then
				local msg_no="The wechat is open,plese shutdown the app"
				local tr_msg_no
				tr_msg_no=$(Translate "${msg_no}")
				ShowMessageBox "${DBUS_PATH}" "${tr_msg_no}" "info"
				exit 255
			fi

			SudoWrapper -a "dpkg -P kylin-kwre-wechat"
			if [ -d $HOME/.cxoffice/wechat ]; then
				rm -rf $HOME/.cxoffice/wechat
			fi

			SudoWrapper -a "apt-get update"
			apt-get download "$packagename"
			SudoWrapper -a dpkg -i $PWD/kylin-kwre-wechat_*.deb

			echo "The problem has been fixed."

			local msg="The issue has been successfully resolved"
			local tr_msg
			tr_msg=$(Translate "${msg}")
			ShowMessageBox "${DBUS_PATH}" "${tr_msg}" "info"
			exit 0
		else
			str="The network is unavailable"
			tr_str=$(Translate "${str}")
			ShowMessageBox "${DBUS_PATH}" "${tr_str}" "error"
			exit 255
		fi

	else
		local msg_no="The Wechat has not been installed"
		local tr_msg_no
		tr_msg_no=$(Translate "${msg_no}")
		ShowMessageBox "${DBUS_PATH}" "${tr_msg_no}" "info"
		exit 255
	fi
}

main
